BEGIN;

CREATE TABLE public.user_mailing_addresses (
  user_id integer NOT NULL REFERENCES public.users(user_id) ON DELETE CASCADE,
  first_name text,
  middle_name text,
  last_org_name text,
  address_1 text,
  address_2 text,
  city text,
  state char(2),
  zipcode text,
  sort_key smallint NOT NULL CHECK (sort_key between 1 and 10)
);

CREATE UNIQUE INDEX user_mailing_addresses_key ON public.user_mailing_addresses(user_id, sort_key);

COMMIT;
